curl --location '/api/AlerthubService/send/messages' \
--header 'ApiUserID: demo_user_001' \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.demo.token' \
--header 'RequestId: trx_001' \
--header 'InstanceID: INS123456' \
--header 'ScheduledDateTime: dd/mm/yyyy,hh:mm AM/PM (Future schedule)' \
--header 'IsSafeMode: false' \
--header 'IntervelBetweenMsg: 0' \
--header 'Content-Type: application/json' \
--data '{
"messaging_product": "whatsapp",
"recipient_type": "individual",
"to": "{{Recipient-Phone-Number}}",
"type": "interactive",
"interactive": {
"type": "product_list",
"header": {
"type": "HEADER_TYPE",
"text": "YOUR_TEXT_HEADER_CONTENT"
},
"body": {
"text": "YOUR_TEXT_BODY_CONTENT"
},
"footer": {
"text": "YOUR_TEXT_FOOTER_CONTENT"
},
"action": {
"catalog_id": "146265584024623",
"sections": [
{
"title": "SECTION1_TITLE",
"product_items": [
{
"product_retailer_id": "YOUR_PRODUCT1_SKU_IN_CATALOG"
},
{
"product_retailer_id": "YOUR_SECOND_PRODUCT1_SKU_IN_CATALOG"
}
]
},
{
"title": "SECTION2_TITLE",
"product_items": [
{
"product_retailer_id": "YOUR_PRODUCT2_SKU_IN_CATALOG"
},
{
"product_retailer_id": "YOUR_SECOND_PRODUCT2_SKU_IN_CATALOG"
}
]
}
]
}
}
}'